### Class

# GioUnix MountMonitor

#### Description [src]

    final class GioUnix.MountMonitor : GObject.Object
    {
      /* No available fields */
    }

Watches for changes to the set of mount entries and mount points in the system.

Connect to the `GUnixMountMonitor::mounts-changed` signal to be notified of changes to the `GUnixMountEntry` list.

Connect to the `GUnixMountMonitor::mountpoints-changed` signal to be notified of changes to the `GUnixMountPoint` list.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### g_unix_mount_monitor_new

Deprecated alias for `g_unix_mount_monitor_get()`.

deprecated: 2.44

#### Functions

###### g_unix_mount_monitor_get

Gets the `GUnixMountMonitor` for the current thread-default main context.

since: 2.44

#### Instance methods

###### g_unix_mount_monitor_set_rate_limit

This function does nothing.

deprecated: 2.44 since: 2.18

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### GioUnix.MountMonitor::mountpoints-changed

Emitted when the Unix mount points have changed.

###### GioUnix.MountMonitor::mounts-changed

Emitted when the Unix mount entries have changed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GioUnixMountMonitorClass {
      /* no available fields */
    }

No description available.